Help Center Type your question Or Choose a category
to find the help you need

Which operating systems does the Robomow App 2.0 support?

The Robomow App 2.0 supports the following operating systems:

  • Android 4.3 or higher
  • iOS 7.0 or higher